Page MenuHomePhabricator

wikidataquery tests win32 py3 error
Closed, DeclinedPublic

Description

This only appeared on a warm cache

======================================================================
FAIL: testQueryApiGetter (tests.wikidataquery_tests.TestApiSlowFunctions)
Test that we can actually retreive data and that caching works.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\pywiki\gerrit\tests\wikidataquery_tests.py", line 240, in testQueryApiGetter
    self.assertFalse(os.path.exists(cacheFile))
AssertionError: True is not false

Version: core-(2.0)
Severity: normal

Details

Reference
bz70983

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:52 AM
bzimport set Reference to bz70983.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Sep 18 2014, 3:58 AM
XZise added a comment.Sep 18 2014, 5:40 PM

In line 234 it might throw an OSError. Might be helpful to know if it throws an error and what type that is (for those who can't quickly test that on Windows).

Because it looks to me that the deletion doesn't work, for example because the file wasn't closed.

jayvdb updated the task description. (Show Details)Dec 6 2014, 2:48 AM
jayvdb removed a project: Pywikibot-General.
jayvdb set Security to None.
jayvdb added a project: Pywikibot-tests.
jayvdb moved this task from Backlog to Test failures on the Pywikibot-tests board.
jayvdb removed a subscriber: Unknown Object (????).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 5:46 PM
Xqt triaged this task as High priority.Apr 23 2017, 1:04 PM
Multichill closed this task as Declined.May 20 2017, 1:18 PM
Multichill added a subscriber: Multichill.

Functionality was removed in T162585 . Declining this one.